Bug 213751 - gnome-pilot wont work.
gnome-pilot wont work.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 15:49 EST by Gustavo A. Lozano
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 20:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpilotd trace (during connect) (10.36 KB, text/plain)
2006-12-28 05:27 EST, Gilboa Davara
no flags Details

  None (edit)
Description Gustavo A. Lozano 2006-11-02 15:49:35 EST
Description of problem:
Gnome pilot syncs with LifeDrive (may be others?) only the first time after
logon. In order to sync again the gnome-pilot and gpilotd process need to be
restarted or a logoff-logon is needed to sync again.

Version-Release number of selected component (if applicable):
Fedora Core 6
gnome-pilot 2.0.13-16

How reproducible:
Configure Gnome-pilot applet
Sync one time
Try to sync again.
Logoff-logon
Sync
try to sync again...


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gustavo A. Lozano 2006-11-30 19:48:32 EST
Tried new pilot-link versions as follows, and now it is worse!!
It wont sync at all a single time my lifedrive

[glozano@Tauri ~]$ rpm -qa | grep pilot
pilot-link-devel-0.11.8-16
gnome-pilot-2.0.14-1.fc6
gnome-pilot-devel-2.0.14-1.fc6
pilot-link-0.11.8-16



Messages are the next:

[glozano@Tauri ~]$ /usr/libexec/gpilotd
--oaf-activate-iid=OAFIID:GNOME_Pilot_Daemon --oaf-ior-fd=39
gpilotd-Message: gnome-pilot 2.0.14 starting...
gpilotd-Message: compiled for pilot-link version 0.11.8
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network] 
gpilotd-Message: Activating CORBA server
IOR:010000001b00000049444c3a474e4f4d452f50696c6f742f4461656d6f6e3a312e300000030000000054424f580000000101020005000000554e4958000000000a0000006c6f63616c686f73740000002d0000002f746d702f6f726269742d676c6f7a616e6f2f6c696e632d326437622d302d323561623637343166306333660000000000000000caaedfba58000000010102002d0000002f746d702f6f726269742d676c6f7a616e6f2f6c696e632d326437622d302d32356162363734316630633366000000001c00000000000000d6d6d4d0a3e5e8a8dc292828282828286770696c6f74640001000000480000000100000002000000050000001c00000000000000d6d6d4d0a3e5e8a8dc292828282828286770696c6f74640001000000140000000100000001000105000000000901010000000000
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/pilot)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 115e, f100
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=57600

(gnome-pilot:11643): gpilotd-WARNING **: pi_accept_to returned -1: Connection
timed out

(gnome-pilot:11643): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: Exiting (caught SIGINT)...
[glozano@Tauri ~]$ /usr/libexec/gpilotd
--oaf-activate-iid=OAFIID:GNOME_Pilot_Daemon --oaf-ior-fd=39
gpilotd-Message: gnome-pilot 2.0.14 starting...
gpilotd-Message: compiled for pilot-link version 0.11.8
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network] 
gpilotd-Message: Activating CORBA server
IOR:010000001b00000049444c3a474e4f4d452f50696c6f742f4461656d6f6e3a312e300000030000000054424f580000000101020005000000554e4958000000000a0000006c6f63616c686f73740000002d0000002f746d702f6f726269742d676c6f7a616e6f2f6c696e632d326532642d302d376134343231383164383134610000000000000000caaedfba58000000010102002d0000002f746d702f6f726269742d676c6f7a616e6f2f6c696e632d326532642d302d37613434323138316438313461000000001c00000000000000086aac20152668a8dc292828282828286770696c6f74640001000000480000000100000002000000050000001c00000000000000086aac20152668a8dc292828282828286770696c6f74640001000000140000000100000001000105000000000901010000000000
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/pilot)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 115e, f100
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=57600

(gnome-pilot:11821): gpilotd-WARNING **: pi_accept_to returned -1: Connection
timed out

(gnome-pilot:11821): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: setting PILOTRATE=57600

(gnome-pilot:11821): gpilotd-WARNING **: pi_accept_to returned -1: Connection
timed out

(gnome-pilot:11821): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs

Is it time to go back to ubuntu?...
Comment 2 Gilboa Davara 2006-12-12 12:44:28 EST
I'd venture to guess that pilot-link is the source of the problem.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214041

0.12 time?

- Gilboa
Comment 3 Matthew Barnes 2006-12-12 14:54:01 EST
You're probably right but I doubt Fedora Core 6 will ever see the new
pilot-link, unfortunately.  It severely breaks API and was released just prior
to the feature freeze.  I had to apply an untested patch to Evolution to get it
working again in Rawhide after pilot-link 0.12 was pushed.

Fedora Core 7 will have it.
Comment 4 Gilboa Davara 2006-12-12 15:29:03 EST
OK. Thanks.
I wonder when OpenSync+Evo will be stable enough to replace the current
pilot-link->gnome-pilot->evo stack.

Anyways, I managed to solve the problem by statically creating the ttyUSB2
device node.

- Gilboa
Comment 5 Matthew Barnes 2006-12-12 16:17:18 EST
(In reply to comment #4)
> I wonder when OpenSync+Evo will be stable enough to replace the current
> pilot-link->gnome-pilot->evo stack.

Hopefully soon.

 
> Anyways, I managed to solve the problem by statically creating the ttyUSB2
> device node.

Would you mind posting some brief instructions here on how to do that, in case
other users with the same problem find their way here?  Thanks.
Comment 6 Gilboa Davara 2006-12-12 16:46:51 EST
Sure.

Open terminal, su to root.

(Feel free to replace /etc/dev by, well, anything persistent.)
$ mkdir -p /etc/dev
$ for NODE in 0 1 2 ; do mknod /etc/dev/ttyUSB$NODE c 180 $NODE; done
$ ln -sf /etc/dev/ttyUSB2 /etc/dev/pilot
$ chown root:uucp /etc/dev/*
$ chmod 0660 /etc/dev/*

Point gnome-pilot and pilot-link to /etc/dev/pilot (Instead of the udev created
/dev/pilot) and you're done.

- Gilboa
Comment 7 Gilboa Davara 2006-12-28 05:27:54 EST
Created attachment 144457 [details]
gpilotd trace (during connect)

Baah. Latest update broken gnome-pilot completely.
Even with static device nodes, gpilotd fails to contact the device.
(pilot-link works just fine with or w/o static device nodes)

Sigh... Maybe it's time to reconsider kmail :(
Comment 8 Gilboa Davara 2006-12-28 05:52:16 EST
... On the up side, with the latest update, gpilotd-over-BT finally works, so
who am I to complain :)
Comment 9 Matthew Barnes 2007-10-02 10:54:59 EDT
Is this bug still present in Fedora 8 Test 2 or later?
Comment 10 Gustavo A. Lozano 2007-10-02 17:41:02 EDT
Sorry, But because of this problem, I switched to Ubuntu.

I really dont have a system running Fedora right now to test.
Comment 11 Matthew Barnes 2007-10-02 20:10:59 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.